org.jboss.jca.core.workmanager

## Class WorkManagerUtil

- java.lang.Object
- - org.jboss.jca.core.workmanager.WorkManagerUtil

-     public class WorkManagerUtil
      extends java.lang.Object

  Utility methods for the WorkManager
  Author:
    Stefano Maestri, Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkManagerUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Boolean` | `getShouldDistribute(javax.resource.spi.work.DistributableWork work)` Get should distribute override
    `static java.lang.String` | `getWorkManager(javax.resource.spi.work.DistributableWork work)` Get explicit work manager override
    `static boolean` | `isLongRunning(javax.resource.spi.work.Work work)` Utility method to decide if a work will have to run under long running thread pool

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkManagerUtil

          public WorkManagerUtil()

  - ### Method Detail

    - #### isLongRunning

          public static boolean isLongRunning(javax.resource.spi.work.Work work)

      Utility method to decide if a work will have to run under long running thread pool
      Parameters:
        `work` - the work
      Returns:
        true if long running thread pool is required

    - #### getShouldDistribute

          public static java.lang.Boolean getShouldDistribute(javax.resource.spi.work.DistributableWork work)

      Get should distribute override
      Parameters:
        `work` - The work instance
      Returns:
        The override, if none return null

    - #### getWorkManager

          public static java.lang.String getWorkManager(javax.resource.spi.work.DistributableWork work)

      Get explicit work manager override
      Parameters:
        `work` - The work instance
      Returns:
        The override, if none return null

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)